# std::exception::operator=

From cppreference.com
< cpp‎ | error‎ | exception

exception& operator=( const exception& other ); |  |

Copy assignment operator. Assigns the contents of `other`

### Parameters

other | - | another exception to assign the contents of

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/exception/operator%3D&oldid=91492"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template